# 项目相关配置
cpop:
  # 文件路径 示例（ Windows配置W:/WorkSpace/java/uploadPath，Linux配置 /home/baseFramework/uploadPath）
  profile: /root/jambox-union/jambox-oam/uploadPath/upload
  jwt:
    #白名单
    whiteList: /login,/getCaptcha,/profile/**
  #拦截
  gateway:
    rsa-keypair:
      # 公钥文件
      publicKeyFile: /root/jambox-union/jambox-oam/script/secretKey/publicKey
      # 公钥文件
      privateKeyFile: /root/jambox-union/jambox-oam/script/secretKey/privateKey

# DataSource Config
spring:
  application:
    name: Cpop-Jambox-Prod
  datasource:
    url: jdbc:mysql://sh-cynosdbmysql-grp-fggo83js.sql.tencentcdb.com:20965/cpop-union?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
    username: root
    password: Customer0401
  #redis配置
  redis:
    #地址
    host: 106.52.49.102
    #端口
    port: 6333
    #数据库
    database: 5
    #密码
    password: Jambox.123*
    #连接超时
    timeout: 5000
    lettuce:
      pool:
        #
        min-idle: 0
        #
        max-idle: 8
        #
        max-active: 8
        #
        max-wait: -1ms
  data:
    mongodb:
      host: localhost
      port: 27017
      database: rock-blade

server:
  port: 9421
  servlet:
    context-path: /Cpop-Jambox

#Mybatis-Flex
mybatis-flex:
  configuration:
    log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl